<?php

/**
 *  Informatica Eindproject D4p
 *  6in3, Stedelijk Gymnasium Nijmegen
 *  Docent: Hans de Wolf
 *
 *  ==================
 *
 *  Daniel Boutros,
 *  Christiaan Goossens,
 *  Jelmer Hinssen
 */

namespace Inforbank\Application;

use \Slim\App;
use Inforbank\Application\Helper\Redirect;

class Main
{
    /**
     * Constructor function
     * @param App $app App Dependency Injection
     *
     * ==============
     * INSTRUCTIEBLOK
     * ==============
     *
     *  Hier wordt onze applicatie gestart. De functie hieronder wordt aangeroepen bij het starten van de app. Hier kun je dus routes toevoegen.
     *
     */
    public function __construct(App $app)
    {
        $app->get('/', function ($request, $response, $args) {
            return Redirect::create($request, $response, '/rekeningen');
        })->add(new Auth\Middleware());
    }
}
